Bug 1718508

Summary: youtube-dl should Require setuptools
Product: [Fedora] Fedora Reporter: Peter Simonyi <rhbz>
Component: youtube-dlAssignee: Till Maas <opensource>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: 4kuchibh, opensource, rafalzaq, tim
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: youtube-dl-2019.07.30-1.fc30 youtube-dl-2019.07.30-1.fc29 youtube-dl-2019.07.30-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-01 03:00:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Peter Simonyi 2019-06-08 05:10:10 UTC
Description of problem:
youtube-dl should have Requires: python3-setuptools.
It currently BuildRequires: python3-setuptools, but this is also a runtime requirement because the wrapper script /usr/bin/youtube-dl uses it (the typical `from pkg_resources import load_entry_point`).

Version-Release number of selected component (if applicable):
2019.04.24-1.fc30

How reproducible:
Always

Steps to Reproduce:
1. # dnf remove python3-setuptools
2. # dnf install youtube-dl
3. $ youtube-dl

Actual results:
    Traceback (most recent call last):
      File "/usr/bin/youtube-dl", line 6, in <module>
        from pkg_resources import load_entry_point
    ModuleNotFoundError: No module named 'pkg_resources'


Expected results:
    Usage: youtube-dl [OPTIONS] URL [URL...]
    
    youtube-dl: error: You must provide at least one URL.
    Type youtube-dl --help to see a list of all options.


Additional info:

Comment 1 Michael Cronenworth 2019-06-17 02:03:14 UTC
FYI: This dependency is now automatically picked up in Rawhide (Fedora 31) by the standard rpm macros.

Comment 2 Fedora Update System 2019-07-30 21:12:40 UTC
FEDORA-EPEL-2019-7c4fe32880 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 3 Fedora Update System 2019-07-30 21:12:48 UTC
FEDORA-2019-1f090735a1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1f090735a1

Comment 4 Fedora Update System 2019-07-30 21:12:57 UTC
FEDORA-2019-7e148e7790 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e148e7790

Comment 5 Fedora Update System 2019-07-31 01:31:32 UTC
youtube-dl-2019.07.30-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e148e7790

Comment 6 Fedora Update System 2019-07-31 03:40:37 UTC
youtube-dl-2019.07.30-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-284a11675f

Comment 7 Fedora Update System 2019-07-31 03:48:17 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 8 Fedora Update System 2019-08-01 03:00:17 UTC
youtube-dl-2019.07.30-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-08-02 02:45:41 UTC
youtube-dl-2019.07.30-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-08-15 17:35:57 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.